Package: org.apache.groovy.json.internal

## [Java] Class ValueMapImpl

- org.apache.groovy.json.internal.ValueMapImpl

- All Implemented Interfaces and Traits:
    ValueMap

      public class ValueMapImpl
      extends AbstractMap
      implements ValueMap

  This map is for object serialization mainly. The idea is the final conversion of the Value objects are delayed until the last possible moment, i.e., just before injected into a bean.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `add(MapItemValue miv)`
    `` | `public Set<Entry<String, Value>>` | `entrySet()`
    `` | `public Value` | `get(Object key)`
    `` | `public boolean` | `hydrated()`
    `` | `public Entry<String, Value>[]` | `items()`
    `` | `public int` | `len()`
    `` | `public Value` | `put(String key, Value value)`
    `` | `public int` | `size()` Return the size of the map.
    `` | `public Collection<Value>` | `values()` Return a collection of values.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractMap` | `remove, get, put, equals, toString, values, hashCode, clear, isEmpty, size, entrySet, putAll, containsKey, keySet, containsValue, wait, wait, wait, getClass, notify, notifyAll, remove, replace, replace, replaceAll, merge, putIfAbsent, compute, forEach, computeIfAbsent, getOrDefault, computeIfPresent`

- - ### Method Detail

    - #### @Override public void add(MapItemValue miv)

    - #### @Override public Set<Entry<String, Value>> entrySet()

    - #### @Override public Value get(Object key)

    - #### @Override public boolean hydrated()

    - #### @Override public Entry<String, Value>[] items()

    - #### @Override public int len()

    - #### @Override public Value put(String key, Value value)

    - #### @Override public int size()

      Return the size of the map. Use the map if it has already been created.

      Returns:
        size

    - #### @Override public Collection<Value> values()

      Return a collection of values.